diff --git a/certmanager/lib/backends/qgpgme/qgpgmecryptoconfig.cpp b/certmanager/lib/backends/qgpgme/qgpgmecryptoconfig.cpp
index 312246851..51f8f68c8 100644
--- a/certmanager/lib/backends/qgpgme/qgpgmecryptoconfig.cpp
+++ b/certmanager/lib/backends/qgpgme/qgpgmecryptoconfig.cpp
@@ -131,7 +131,7 @@ Kleo::CryptoConfigComponent* QGpgMECryptoConfig::component( const TQString& name
 {
   if ( !mParsed )
     const_cast<QGpgMECryptoConfig*>( this )->runGpgConf( false );
-  return mComponents.tqfind( name );
+  return mComponents.find( name );
 }
 
 void QGpgMECryptoConfig::sync( bool runtime )
@@ -240,7 +240,7 @@ TQStringList QGpgMECryptoConfigComponent::groupList() const
 
 Kleo::CryptoConfigGroup* QGpgMECryptoConfigComponent::group(const TQString& name ) const
 {
-  return mGroups.tqfind( name );
+  return mGroups.find( name );
 }
 
 void QGpgMECryptoConfigComponent::sync( bool runtime )
@@ -341,7 +341,7 @@ TQStringList QGpgMECryptoConfigGroup::entryList() const
 
 Kleo::CryptoConfigEntry* QGpgMECryptoConfigGroup::entry( const TQString& name ) const
 {
-  return mEntries.tqfind( name );
+  return mEntries.find( name );
 }
 
 ////
@@ -357,15 +357,15 @@ static TQString gpgconf_escape( const TQString& str )
   // Escape special chars (including ':' and '%')
   TQString enc = KURL::encode_string( str, 106 ); // and convert to utf8 first (to get %12%34 for one special char)
   // Also encode commas, for lists.
-  enc.tqreplace( ',', "%2c" );
+  enc.replace( ',', "%2c" );
   return enc;
 }
 
 static TQString urlpart_encode( const TQString& str )
 {
   TQString enc( str );
-  enc.tqreplace( '%', "%25" ); // first!
-  enc.tqreplace( ':', "%3a" );
+  enc.replace( '%', "%25" ); // first!
+  enc.replace( ':', "%3a" );
   //kdDebug() << "  urlpart_encode: " << str << " -> " << enc << endl;
   return enc;
 }
diff --git a/certmanager/lib/cryptplugwrapper.cpp b/certmanager/lib/cryptplugwrapper.cpp
index 1d35f1c1b..4ffc59c91 100644
--- a/certmanager/lib/cryptplugwrapper.cpp
+++ b/certmanager/lib/cryptplugwrapper.cpp
@@ -468,9 +468,9 @@ TQString CryptPlugWrapper::libName() const
 
 TQString CryptPlugWrapper::protocol() const
 {
-  if ( _libName.tqcontains( "smime" ) )
+  if ( _libName.contains( "smime" ) )
     return "SMIME";
-  if ( _libName.tqcontains( "openpgp" ) )
+  if ( _libName.contains( "openpgp" ) )
     return "OpenPGP";
   return TQString();
 }
@@ -485,9 +485,9 @@ TQString CryptPlugWrapper::displayName() const
 {
     if ( !_name.isEmpty() )
       return _name;
-    if ( _libName.tqcontains( "smime" ) )
+    if ( _libName.contains( "smime" ) )
       return "gpgsm";
-    if ( _libName.tqcontains( "openpgp" ) )
+    if ( _libName.contains( "openpgp" ) )
       return "gpg";
     return i18n("(Unknown Protocol)");
 }
@@ -503,10 +503,10 @@ bool CryptPlugWrapper::initialize( InitqStatus* initqStatus, TQString* errorMsg
       _initqStatus = IniStatus_NoLibName;
       kdDebug(5150) << "No library name was given.\n" << endl;
     } else {
-      if ( _libName.tqcontains( "smime" ) ) {
+      if ( _libName.contains( "smime" ) ) {
 	_cp = new SMIMECryptPlug();
 	_config = new Config( GPGME_PROTOCOL_CMS );
-      } else if ( _libName.tqcontains( "openpgp" ) ) {
+      } else if ( _libName.contains( "openpgp" ) ) {
 	_cp = new OpenPGPCryptPlug();
 	_config = new Config( GPGME_PROTOCOL_OpenPGP );
       } else {
diff --git a/certmanager/lib/cryptplugwrapperlist.cpp b/certmanager/lib/cryptplugwrapperlist.cpp
index 7b1c75722..43f88670d 100644
--- a/certmanager/lib/cryptplugwrapperlist.cpp
+++ b/certmanager/lib/cryptplugwrapperlist.cpp
@@ -28,7 +28,7 @@
 CryptPlugWrapper * CryptPlugWrapperList::findForLibName( const TQString & libName ) const
 {
   for ( TQPtrListIterator<CryptPlugWrapper> it( *this ) ; it.current() ; ++it )
-    if ( (*it)->libName().tqfind( libName, 0, false ) >= 0 )
+    if ( (*it)->libName().find( libName, 0, false ) >= 0 )
       return *it;
   return 0;
 }
diff --git a/certmanager/lib/kleo/dn.cpp b/certmanager/lib/kleo/dn.cpp
index 0f0c357d2..7e39185c8 100644
--- a/certmanager/lib/kleo/dn.cpp
+++ b/certmanager/lib/kleo/dn.cpp
@@ -309,7 +309,7 @@ reorder_dn( const Kleo::DN::Attribute::List & dn ) {
 
   // find all unknown entries in their order of appearance
   for ( Kleo::DN::const_iterator it = dn.begin(); it != dn.end(); ++it )
-    if ( attrOrder.tqfind( (*it).name() ) == attrOrder.end() )
+    if ( attrOrder.find( (*it).name() ) == attrOrder.end() )
       unknownEntries.push_back( *it );
 
   // process the known attrs in the desired order
diff --git a/certmanager/lib/kleo/downloadjob.h b/certmanager/lib/kleo/downloadjob.h
index d7f83f248..1583c4866 100644
--- a/certmanager/lib/kleo/downloadjob.h
+++ b/certmanager/lib/kleo/downloadjob.h
@@ -69,7 +69,7 @@ namespace Kleo {
     /**
        Starts the download operation. \a fingerprints is a list of
        fingerprints used to specify the list of keys downloaded. Empty
-       patterns are ignored. If \a fingerprints is empty, tqcontains
+       patterns are ignored. If \a fingerprints is empty, contains
        only empty strings or anything other than fingerprints, the
        result is undefined.
     */
diff --git a/certmanager/lib/tests/test.data b/certmanager/lib/tests/test.data
index f09481ba5..b4bce1a93 100644
--- a/certmanager/lib/tests/test.data
+++ b/certmanager/lib/tests/test.data
@@ -116,7 +116,7 @@ static int status( void * void_ctx, const char * line ) {
 static int inquire( void * void_ctx, const char * keyword ) {
     assuan_context_t ctx = (assuan_context_t)void_ctx;
     assert( ctx );
-    const std::map<std::string,std::string>::const_iterator it = inquireData.tqfind( keyword );
+    const std::map<std::string,std::string>::const_iterator it = inquireData.find( keyword );
     if ( it == inquireData.end() )
         return gpg_error( GPG_ERR_UNKNOWN_COMMAND );
 
@@ -179,7 +179,7 @@ int main( int argc, char * argv[] ) {
             options.push_back( argv[++optind] );
         } else if ( qstrcmp( arg, "--inquire" ) == 0 ) {
             const std::string inqval = argv[++optind];
-            const size_t pos = inqval.tqfind( '=' );
+            const size_t pos = inqval.find( '=' );
             // ### implement indirection with "@file"...
             inquireData[inqval.substr( 0, pos )] = inqval.substr( pos+1 );
         } else {
diff --git a/certmanager/lib/tests/test_gnupgprocessbase.cpp b/certmanager/lib/tests/test_gnupgprocessbase.cpp
index c3ec0c33b..c3aba82d2 100644
--- a/certmanager/lib/tests/test_gnupgprocessbase.cpp
+++ b/certmanager/lib/tests/test_gnupgprocessbase.cpp
@@ -88,7 +88,7 @@ static TQStringList split( char * buffer, int buflen, TQString & old ) {
 }
 
 static TQString escape( TQString str ) {
-  return str.tqreplace( '&', "&amp" ).tqreplace( '<', "&lt;" ).tqreplace( '>', "&gt;" );
+  return str.replace( '&', "&amp" ).replace( '<', "&lt;" ).replace( '>', "&gt;" );
 }
 
 void GnuPGViewer::slotStdout( KProcess *, char * buffer, int buflen ) {
diff --git a/certmanager/lib/ui/cryptoconfigmodule.cpp b/certmanager/lib/ui/cryptoconfigmodule.cpp
index cd486a864..9fa55e969 100644
--- a/certmanager/lib/ui/cryptoconfigmodule.cpp
+++ b/certmanager/lib/ui/cryptoconfigmodule.cpp
@@ -59,7 +59,7 @@ using namespace Kleo;
 
 static inline TQPixmap loadIcon( TQString s ) {
   return KGlobal::instance()->iconLoader()
-    ->loadIcon( s.tqreplace( TQRegExp( "[^a-zA-Z0-9_]" ), "_" ), KIcon::NoGroup, KIcon::SizeMedium );
+    ->loadIcon( s.replace( TQRegExp( "[^a-zA-Z0-9_]" ), "_" ), KIcon::NoGroup, KIcon::SizeMedium );
 }
 
 static unsigned int num_components_with_options( const Kleo::CryptoConfig * config ) {
diff --git a/certmanager/lib/ui/dnattributeorderconfigwidget.cpp b/certmanager/lib/ui/dnattributeorderconfigwidget.cpp
index 6f42393f2..46adfe3b0 100644
--- a/certmanager/lib/ui/dnattributeorderconfigwidget.cpp
+++ b/certmanager/lib/ui/dnattributeorderconfigwidget.cpp
@@ -173,7 +173,7 @@ void Kleo::DNAttributeOrderConfigWidget::load() {
 
   const TQStringList all = Kleo::DNAttributeMapper::instance()->names();
   for ( TQStringList::const_iterator it = all.begin() ; it != all.end() ; ++it )
-    if ( order.tqfind( *it ) == order.end() )
+    if ( order.find( *it ) == order.end() )
       (void)new TQListViewItem( d->availableLV, *it, d->mapper->name2label( *it ) );
 
   if ( !d->placeHolderItem->listView() )
diff --git a/doc/api/Doxyfile.pim b/doc/api/Doxyfile.pim
index 6ecb6dd8b..a2bc93361 100644
--- a/doc/api/Doxyfile.pim
+++ b/doc/api/Doxyfile.pim
@@ -74,7 +74,7 @@ REPEAT_BRIEF           = YES
 # as the annotated text. Otherwise, the brief description is used as-is. If left 
 # blank, the following values are used ("$name" is automatically replaced with the 
 # name of the entity): "The $name class" "The $name widget" "The $name file" 
-# "is" "provides" "specifies" "tqcontains" "represents" "a" "an" "the"
+# "is" "provides" "specifies" "contains" "represents" "a" "an" "the"
 
 ABBREVIATE_BRIEF       = 
 
diff --git a/indexlib/GPL_V2 b/indexlib/GPL_V2
index 07dec1a9b..cfa6e1a83 100644
--- a/indexlib/GPL_V2
+++ b/indexlib/GPL_V2
@@ -59,7 +59,7 @@ modification follow.
 		    GNU GENERAL PUBLIC LICENSE
    TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
 
-  0. This License applies to any program or other work which tqcontains
+  0. This License applies to any program or other work which contains
 a notice placed by the copyright holder saying it may be distributed
 under the terms of this General Public License.  The "Program", below,
 refers to any such program or work, and a "work based on the Program"
@@ -154,7 +154,7 @@ Sections 1 and 2 above provided that you also do one of the following:
 
 The source code for a work means the preferred form of the work for
 making modifications to it.  For an executable work, complete source
-code means all the source code for all modules it tqcontains, plus any
+code means all the source code for all modules it contains, plus any
 associated interface definition files, plus the scripts used to
 control compilation and installation of the executable.  However, as a
 special exception, the source code distributed need not include
diff --git a/indexlib/boost-compat/config/suffix.hpp b/indexlib/boost-compat/config/suffix.hpp
index 3d60d7181..77d9decac 100644
--- a/indexlib/boost-compat/config/suffix.hpp
+++ b/indexlib/boost-compat/config/suffix.hpp
@@ -332,7 +332,7 @@ namespace std {
 // The same problem occurs with has_facet.
 // These macros provide a consistent way to access a locale's facets.
 // Usage:
-//    tqreplace
+//    replace
 //       std::use_facet<Type>(loc);
 //    with
 //       BOOST_USE_FACET(Type, loc);
@@ -357,7 +357,7 @@ namespace std {
 
 // BOOST_NESTED_TEMPLATE workaround ------------------------------------------//
 // Member templates are supported by some compilers even though they can't use
-// the A::template member<U> syntax, as a workaround tqreplace:
+// the A::template member<U> syntax, as a workaround replace:
 //
 // typedef typename A::template rebind<U> binder;
 //
diff --git a/indexlib/stringset.h b/indexlib/stringset.h
index 3daa5d604..4761718b2 100644
--- a/indexlib/stringset.h
+++ b/indexlib/stringset.h
@@ -129,7 +129,7 @@ struct stringset {
 		void clear();
 
 		/**
-		 * Returns std::make_pair( tqfind( word ), tqfind( word + 'Z' ) ) which makes it easy
+		 * Returns std::make_pair( find( word ), find( word + 'Z' ) ) which makes it easy
 		 * to implement word* searches
 		 */
 		std::pair<const_iterator, const_iterator> upper_lower( const char* ) const;
diff --git a/kabc/frontend/mainWindow.ui.h b/kabc/frontend/mainWindow.ui.h
index 0740d9cf0..421c0d332 100644
--- a/kabc/frontend/mainWindow.ui.h
+++ b/kabc/frontend/mainWindow.ui.h
@@ -139,8 +139,8 @@ void MainWindow::readAddressee( const KABC::Addressee &a )
   TQStringList customs = a.customs();
   TQStringList::ConstIterator it5;
   for( it5 = customs.begin(); it5 != customs.end(); ++it5 ) {
-    int posDash = (*it5).tqfind( "-" );
-    int posColon = (*it5).tqfind( ":" );
+    int posDash = (*it5).find( "-" );
+    int posColon = (*it5).find( ":" );
   
     TQString app = (*it5).left( posDash );
     TQString cname = (*it5).mid( posDash + 1, posColon - posDash - 1 );
@@ -583,8 +583,8 @@ void MainWindow::editCustom()
                                         this );
   if ( !ok || name.isEmpty() ) return;
 
-  int posDash = name.tqfind( "-" );
-  int posColon = name.tqfind( ":" );
+  int posDash = name.find( "-" );
+  int posColon = name.find( ":" );
   
   TQString app = name.left( posDash );
   TQString cname = name.mid( posDash + 1, posColon - posDash - 1 );
@@ -610,8 +610,8 @@ void MainWindow::newCustom()
                                         this );
   if ( !ok || name.isEmpty() ) return;
   
-  int posDash = name.tqfind( "-" );
-  int posColon = name.tqfind( ":" );
+  int posDash = name.find( "-" );
+  int posColon = name.find( ":" );
   
   TQString app = name.left( posDash );
   TQString cname = name.mid( posDash + 1, posColon - posDash - 1 );
diff --git a/kabc/kabc2mutt/kabc2mutt.cpp b/kabc/kabc2mutt/kabc2mutt.cpp
index 7e10dc32e..c12967862 100644
--- a/kabc/kabc2mutt/kabc2mutt.cpp
+++ b/kabc/kabc2mutt/kabc2mutt.cpp
@@ -53,8 +53,8 @@ void KABC2Mutt::loadingFinished()
   for ( iaddr = mAddressBook->begin(); iaddr != mAddressBook->end(); ++iaddr ) {
     const TQString name = (*iaddr).givenName() + ' ' + (*iaddr).familyName();
     if ( !mQuery.isEmpty() ) {
-      bool match = (name.tqfind(mQuery, 0, mIgnoreCase) > -1) ||
-                   ((*iaddr).preferredEmail().tqfind( mQuery, 0, mIgnoreCase ) > -1 );
+      bool match = (name.find(mQuery, 0, mIgnoreCase) > -1) ||
+                   ((*iaddr).preferredEmail().find( mQuery, 0, mIgnoreCase ) > -1 );
       if ( !match )
         continue;
     }
@@ -86,9 +86,9 @@ void KABC2Mutt::loadingFinished()
       else
         if ( !(*iaddr).familyName().isEmpty() )
           key = (*iaddr).givenName().left( 1 ).lower() +
-                (*iaddr).familyName().lower().tqreplace( space, underscore );
+                (*iaddr).familyName().lower().replace( space, underscore );
         else
-          key = (*iaddr).givenName().lower().tqreplace( space, underscore );
+          key = (*iaddr).givenName().lower().replace( space, underscore );
 
       while ( from != to ) {
         std::cout << "alias " << key;
@@ -101,7 +101,7 @@ void KABC2Mutt::loadingFinished()
 
       if ( !(*iaddr).nickName().isEmpty() ) {
         std::cout << "alias "
-                  << (*iaddr).nickName().lower().tqreplace( space, underscore )
+                  << (*iaddr).nickName().lower().replace( space, underscore )
                   << '\t' << name << " <"
                   << (*iaddr).preferredEmail() << '>' << std::endl;
       }
@@ -130,7 +130,7 @@ void KABC2Mutt::loadingFinished()
     KABC::DistributionList *list = manager.list( *iaddr );
     if ( list ) {
       if ( !mQuery.isEmpty() ) {
-        bool match = ((*iaddr).tqfind(mQuery) > -1);
+        bool match = ((*iaddr).find(mQuery) > -1);
         if ( !match )
           continue;
       }
@@ -140,7 +140,7 @@ void KABC2Mutt::loadingFinished()
         continue;
 
       if ( mFormat == Aliases ) {
-        std::cout << "alias " << (*iaddr).tqreplace( TQRegExp( " " ), "_" )
+        std::cout << "alias " << (*iaddr).replace( TQRegExp( " " ), "_" )
                   << '\t' << emails.join( "," ) << std::endl;
       } else {
         std::cout << emails.join( "," ) << '\t' << (*iaddr) << '\t' << std::endl;
diff --git a/kaddressbook/addresseditwidget.cpp b/kaddressbook/addresseditwidget.cpp
index 60c1f2a6f..61b8ec90b 100644
--- a/kaddressbook/addresseditwidget.cpp
+++ b/kaddressbook/addresseditwidget.cpp
@@ -617,7 +617,7 @@ AddressTypeDialog::AddressTypeDialog( int type, TQWidget *tqparent )
     new TQCheckBox( KABC::Address::typeLabel( *it ), mGroup );
 
   for ( int i = 0; i < mGroup->count(); ++i ) {
-    TQCheckBox *box = (TQCheckBox*)mGroup->tqfind( i );
+    TQCheckBox *box = (TQCheckBox*)mGroup->find( i );
     box->setChecked( type & mTypeList[ i ] );
   }
 }
@@ -630,7 +630,7 @@ int AddressTypeDialog::type() const
 {
   int type = 0;
   for ( int i = 0; i < mGroup->count(); ++i ) {
-    TQCheckBox *box = (TQCheckBox*)mGroup->tqfind( i );
+    TQCheckBox *box = (TQCheckBox*)mGroup->find( i );
     if ( box->isChecked() )
       type += mTypeList[ i ];
   }
diff --git a/kaddressbook/addresseeeditorwidget.cpp b/kaddressbook/addresseeeditorwidget.cpp
index 1ea2e77f8..da551648d 100644
--- a/kaddressbook/addresseeeditorwidget.cpp
+++ b/kaddressbook/addresseeeditorwidget.cpp
@@ -486,7 +486,7 @@ void AddresseeEditorWidget::setupCustomFieldsTabs()
 
   const TQStringList list = KGlobal::dirs()->findAllResources( "data", "kaddressbook/contacteditorpages/*.ui", true, true );
   for ( TQStringList::ConstIterator it = list.begin(); it != list.end(); ++it ) {
-    if ( activePages.tqfind( (*it).mid( (*it).tqfindRev('/') + 1 ) ) == activePages.end() )
+    if ( activePages.find( (*it).mid( (*it).findRev('/') + 1 ) ) == activePages.end() )
       continue;
 
     ContactEditorTabPage *page = new ContactEditorTabPage( mTabWidget );
diff --git a/kaddressbook/addviewdialog.cpp b/kaddressbook/addviewdialog.cpp
index 548990d16..15bfe7a00 100644
--- a/kaddressbook/addviewdialog.cpp
+++ b/kaddressbook/addviewdialog.cpp
@@ -94,7 +94,7 @@ TQString AddViewDialog::viewName()const
 TQString AddViewDialog::viewType()const
 {
   // we missuse the name property for storing the type
-  return mTypeGroup->tqfind( mTypeId )->name();
+  return mTypeGroup->find( mTypeId )->name();
 }
 
 void AddViewDialog::clicked( int id )
diff --git a/kaddressbook/common/locationmap.cpp b/kaddressbook/common/locationmap.cpp
index c5de16adf..f4f08fe5b 100644
--- a/kaddressbook/common/locationmap.cpp
+++ b/kaddressbook/common/locationmap.cpp
@@ -79,17 +79,17 @@ TQString LocationMap::createUrl( const KABC::Address &addr )
   }
 
 #if KDE_VERSION >= 319
-  return urlTemplate.tqreplace( "%s", addr.street() ).
-                     tqreplace( "%r", addr.region() ).
-                     tqreplace( "%l", addr.locality() ).
-                     tqreplace( "%z", addr.postalCode() ).
-                     tqreplace( "%c", addr.countryToISO( addr.country() ) );
+  return urlTemplate.replace( "%s", addr.street() ).
+                     replace( "%r", addr.region() ).
+                     replace( "%l", addr.locality() ).
+                     replace( "%z", addr.postalCode() ).
+                     replace( "%c", addr.countryToISO( addr.country() ) );
 #else
-  return urlTemplate.tqreplace( "%s", addr.street() ).
-                     tqreplace( "%r", addr.region() ).
-                     tqreplace( "%l", addr.locality() ).
-                     tqreplace( "%z", addr.postalCode() ).
-                     tqreplace( "%c", "" );
+  return urlTemplate.replace( "%s", addr.street() ).
+                     replace( "%r", addr.region() ).
+                     replace( "%l", addr.locality() ).
+                     replace( "%z", addr.postalCode() ).
+                     replace( "%c", "" );
 #endif
 }
 
diff --git a/kaddressbook/customfieldswidget.cpp b/kaddressbook/customfieldswidget.cpp
index f22160d7b..d78c48c61 100644
--- a/kaddressbook/customfieldswidget.cpp
+++ b/kaddressbook/customfieldswidget.cpp
@@ -103,7 +103,7 @@ TQString AddFieldDialog::title() const
 TQString AddFieldDialog::identifier() const
 {
   TQString id = mTitle->text().lower();
-  return id.tqreplace( ",", "_" ).tqreplace( " ", "_" );
+  return id.replace( ",", "_" ).replace( " ", "_" );
 }
 
 TQString AddFieldDialog::type() const
@@ -547,12 +547,12 @@ TQStringList CustomFieldsWidget::marshallFields( bool global ) const
 
 void splitField( const TQString &str, TQString &app, TQString &name, TQString &value )
 {
-  int colon = str.tqfind( ':' );
+  int colon = str.find( ':' );
   if ( colon != -1 ) {
     TQString tmp = str.left( colon );
     value = str.mid( colon + 1 );
 
-    int dash = tmp.tqfind( '-' );
+    int dash = tmp.find( '-' );
     if ( dash != -1 ) {
       app = tmp.left( dash );
       name = tmp.mid( dash + 1 );
diff --git a/kaddressbook/distributionlistpicker.cpp b/kaddressbook/distributionlistpicker.cpp
index 5810276e6..9b4d3f727 100644
--- a/kaddressbook/distributionlistpicker.cpp
+++ b/kaddressbook/distributionlistpicker.cpp
@@ -97,7 +97,7 @@ void KPIM::DistributionListPickerDialog::slotUser1()
         if ( name.isEmpty() )
             return;
 
-        validName = !listNames.tqcontains( name );
+        validName = !listNames.contains( name );
 
         if ( validName )
         {
@@ -107,7 +107,7 @@ void KPIM::DistributionListPickerDialog::slotUser1()
             m_book->insertAddressee( list );
 
             m_listBox->insertItem( name );
-            TQListBoxItem* item = m_listBox->tqfindItem( name );
+            TQListBoxItem* item = m_listBox->findItem( name );
             m_listBox->setSelected( item, true );
         }
         else
diff --git a/kaddressbook/editors/imaddresswidget.cpp b/kaddressbook/editors/imaddresswidget.cpp
index aa3a9a484..1d64c5b98 100644
--- a/kaddressbook/editors/imaddresswidget.cpp
+++ b/kaddressbook/editors/imaddresswidget.cpp
@@ -50,7 +50,7 @@ IMAddressWidget::IMAddressWidget( TQWidget *tqparent, TQValueList<KPluginInfo *>
 
   mProtocols = protocols;
   populateProtocols();
-  cmbProtocol->setCurrentItem( mProtocols.tqfindIndex( protocol ) );
+  cmbProtocol->setCurrentItem( mProtocols.findIndex( protocol ) );
 
   edtAddress->setText( address.section( TQChar( 0xE120 ), 0, 0 ) );
   edtNetwork->setText( address.section( TQChar( 0xE120 ), 1 ) );
diff --git a/kaddressbook/editors/imeditorwidget.cpp b/kaddressbook/editors/imeditorwidget.cpp
index d74f51c14..0c4717b95 100644
--- a/kaddressbook/editors/imeditorwidget.cpp
+++ b/kaddressbook/editors/imeditorwidget.cpp
@@ -166,7 +166,7 @@ IMEditorWidget::IMEditorWidget( TQWidget *tqparent, const TQString &preferredIM,
   //mWidget->btnUp->setEnabled( false );
   //mWidget->btnDown->setEnabled( false );
   mPreferred = preferredIM;
-  mPreferred = mPreferred.tqreplace( " on ", TQString( TQChar( 0xE120 ) ), true );
+  mPreferred = mPreferred.replace( " on ", TQString( TQChar( 0xE120 ) ), true );
   mProtocols = KPluginInfo::fromServices( KTrader::self()->query( TQString::tqfromLatin1( "KABC/IMProtocol" ) ) );
 
   // order the protocols by putting them in a qmap, then sorting the set of keys and recreating the list
@@ -351,7 +351,7 @@ void IMEditorWidget::slotAdd()
       mPreferred = addressWid->address();
     }
 
-    if ( mChangedProtocols.tqfind( addressWid->protocol() ) == mChangedProtocols.end() )
+    if ( mChangedProtocols.find( addressWid->protocol() ) == mChangedProtocols.end() )
       mChangedProtocols.append( addressWid->protocol() );
 
     mWidget->lvAddresses->sort();
@@ -388,7 +388,7 @@ void IMEditorWidget::slotEdit()
       }
 
       // the entry for the protocol of the current address has changed
-      if ( mChangedProtocols.tqfind( current->protocol() ) == mChangedProtocols.end() ) {
+      if ( mChangedProtocols.find( current->protocol() ) == mChangedProtocols.end() ) {
         mChangedProtocols.append( current->protocol() );
       }
       // update protocol - has another protocol gained an address?
@@ -396,7 +396,7 @@ void IMEditorWidget::slotEdit()
         modified = true;
         // this proto is losing an entry
         current->setProtocol( addressWid->protocol() );
-        if ( mChangedProtocols.tqfind( current->protocol() ) == mChangedProtocols.end() )
+        if ( mChangedProtocols.find( current->protocol() ) == mChangedProtocols.end() )
           mChangedProtocols.append( current->protocol() );
       }
 
@@ -431,7 +431,7 @@ void IMEditorWidget::slotDelete()
   while( it.current() ) {
     if ( it.current()->isSelected() ) {
       IMAddressLVI * current = static_cast<IMAddressLVI*>( *it );
-      if ( mChangedProtocols.tqfind( current->protocol() ) == mChangedProtocols.end() )
+      if ( mChangedProtocols.find( current->protocol() ) == mChangedProtocols.end() )
         mChangedProtocols.append( current->protocol() );
 
       if ( current->preferred() )
@@ -457,7 +457,7 @@ void IMEditorWidget::slotDelete()
 TQString IMEditorWidget::preferred() const
 {
   TQString retval( mPreferred );
-  return retval.tqreplace( TQChar( 0xE120 ), " on " );
+  return retval.replace( TQChar( 0xE120 ), " on " );
 }
 
 
@@ -477,12 +477,12 @@ KPluginInfo * IMEditorWidget::protocolFromString( const TQString &fieldValue ) c
 
 void IMEditorWidget::splitField( const TQString &str, TQString &app, TQString &name, TQString &value )
 {
-  int colon = str.tqfind( ':' );
+  int colon = str.find( ':' );
   if ( colon != -1 ) {
     TQString tmp = str.left( colon );
     value = str.mid( colon + 1 );
 
-    int dash = tmp.tqfind( '-' );
+    int dash = tmp.find( '-' );
     if ( dash != -1 ) {
       app = tmp.left( dash );
       name = tmp.mid( dash + 1 );
diff --git a/kaddressbook/extensionmanager.cpp b/kaddressbook/extensionmanager.cpp
index 1496be517..77f53a976 100644
--- a/kaddressbook/extensionmanager.cpp
+++ b/kaddressbook/extensionmanager.cpp
@@ -74,7 +74,7 @@ void ExtensionManager::restoreSettings()
 
   typedef TQMap<TQString, ExtensionData>::ConstIterator ConstIterator;
   for ( ConstIterator it = mExtensionMap.begin(), end = mExtensionMap.end(); it != end; ++it ) {
-    if ( activeExtensions.tqcontains( it.data().identifier ) ) {
+    if ( activeExtensions.contains( it.data().identifier ) ) {
       KToggleAction *action = static_cast<KToggleAction*>( it.data().action );
       if ( action )
         action->setChecked( true );
@@ -102,20 +102,20 @@ void ExtensionManager::reconfigure()
 
 bool ExtensionManager::isQuickEditVisible() const
 {
-  return mActiveExtensions.tqcontains( "contact_editor" );
+  return mActiveExtensions.contains( "contact_editor" );
 }
 
 void ExtensionManager::setSelectionChanged()
 {
   for ( TQStringList::ConstIterator it = mActiveExtensions.begin(), end = mActiveExtensions.end(); it != end; ++it ) {
-    if ( mExtensionMap.tqcontains( *it ) && mExtensionMap[*it].widget )
+    if ( mExtensionMap.contains( *it ) && mExtensionMap[*it].widget )
       mExtensionMap[*it].widget->contactsSelectionChanged();
   }
 }
 
 void ExtensionManager::activationToggled( const TQString &extid )
 {
-  if ( !mExtensionMap.tqcontains( extid ) )
+  if ( !mExtensionMap.contains( extid ) )
     return;
   const ExtensionData data = mExtensionMap[ extid ];
   const bool activated = data.action->isChecked();
@@ -124,9 +124,9 @@ void ExtensionManager::activationToggled( const TQString &extid )
 
 void ExtensionManager::setExtensionActive( const TQString& extid, bool active )
 {
-  if ( !mExtensionMap.tqcontains( extid ) )
+  if ( !mExtensionMap.contains( extid ) )
     return;
-  if ( mActiveExtensions.tqcontains( extid ) == active )
+  if ( mActiveExtensions.contains( extid ) == active )
     return;
   const ExtensionData data = mExtensionMap[ extid ];
   if ( active ) {
@@ -174,7 +174,7 @@ void ExtensionManager::createActions()
     mMapper->setMapping( data.action, data.identifier );
     mActionList.append( data.action );
 
-    if ( mActiveExtensions.tqcontains( data.identifier ) )
+    if ( mActiveExtensions.contains( data.identifier ) )
       data.action->setChecked( true );
   }
 
diff --git a/kaddressbook/features/distributionlistwidget.cpp b/kaddressbook/features/distributionlistwidget.cpp
index 7ce25beb7..fc8af3abd 100644
--- a/kaddressbook/features/distributionlistwidget.cpp
+++ b/kaddressbook/features/distributionlistwidget.cpp
@@ -255,9 +255,9 @@ void DistributionListWidget::selectionContactViewChanged()
 bool DistributionListWidget::alreadyExists( const TQString& distrListName ) const
 {
 #ifdef KDEPIM_NEW_DISTRLISTS
-  return core()->distributionListNames().tqcontains( distrListName );
+  return core()->distributionListNames().contains( distrListName );
 #else
-  return mManager->listNames().tqcontains( distrListName );
+  return mManager->listNames().contains( distrListName );
 #endif
 }
 
diff --git a/kaddressbook/features/resourceselection.cpp b/kaddressbook/features/resourceselection.cpp
index edbb37a08..0629052ab 100644
--- a/kaddressbook/features/resourceselection.cpp
+++ b/kaddressbook/features/resourceselection.cpp
@@ -241,7 +241,7 @@ void ResourceSelection::add()
   if ( !ok )
     return;
 
-  TQString type = types[ descs.tqfindIndex( desc ) ];
+  TQString type = types[ descs.findIndex( desc ) ];
 
   // Create new resource
   KABC::Resource *resource = mManager->createResource( type );
@@ -410,7 +410,7 @@ void ResourceSelection::slotSubresourceAdded( KPIM::ResourceABC *resource,
                                               const TQString& subResource )
 {
   kdDebug(5720) << k_funcinfo << resource->resourceName() << " " << subResource << endl;
-  TQListViewItem *i = mListView->tqfindItem( resource->resourceName(), 0 );
+  TQListViewItem *i = mListView->findItem( resource->resourceName(), 0 );
   if ( !i )
     // Not found
     return;
diff --git a/kaddressbook/filtereditdialog.cpp b/kaddressbook/filtereditdialog.cpp
index 7428b3638..bb9e255b3 100644
--- a/kaddressbook/filtereditdialog.cpp
+++ b/kaddressbook/filtereditdialog.cpp
@@ -71,7 +71,7 @@ void FilterEditDialog::setFilter( const Filter &filter )
   TQStringList categories = filter.categories();
   TQListViewItem *item = mCategoriesView->firstChild();
   while ( item != 0 ) {
-    if ( categories.tqcontains( item->text( 0 ) ) ) {
+    if ( categories.contains( item->text( 0 ) ) ) {
       TQCheckListItem *checkItem = static_cast<TQCheckListItem*>( item );
       checkItem->setOn( true );
     }
@@ -102,7 +102,7 @@ Filter FilterEditDialog::filter()
   }
   filter.setCategories( categories );
 
-  if ( mMatchRuleGroup->tqfind( 0 )->isOn() )
+  if ( mMatchRuleGroup->find( 0 )->isOn() )
     filter.setMatchRule( Filter::Matching );
   else
     filter.setMatchRule( Filter::NotMatching );
diff --git a/kaddressbook/geowidget.cpp b/kaddressbook/geowidget.cpp
index 5dc432868..2b9b32c96 100644
--- a/kaddressbook/geowidget.cpp
+++ b/kaddressbook/geowidget.cpp
@@ -404,13 +404,13 @@ void GeoDialog::loadCityList()
       pos = name.search(line, pos);
       if ( pos > 0 ) {
         n = line.mid( pos, name.matchedLength() ).stripWhiteSpace();
-        n.tqreplace( '_', " " );
+        n.replace( '_', " " );
       }
 
       if ( !c.isEmpty() && !n.isEmpty() ) {
-        pos = c.tqfind( "+", 1 );
+        pos = c.find( "+", 1 );
         if ( pos < 0 )
-          pos = c.tqfind( "-", 1 );
+          pos = c.find( "-", 1 );
         if ( pos > 0 ) {
           GeoData data;
           data.latitude = calculateCoordinate( c.left( pos ) );
diff --git a/kaddressbook/jumpbuttonbar.cpp b/kaddressbook/jumpbuttonbar.cpp
index 1af942b2d..e4a712a9d 100644
--- a/kaddressbook/jumpbuttonbar.cpp
+++ b/kaddressbook/jumpbuttonbar.cpp
@@ -121,7 +121,7 @@ void JumpButtonBar::updateButtons()
       return;
     }
 
-    if ( !character.isEmpty() && !characters.tqcontains( character ) )
+    if ( !character.isEmpty() && !characters.contains( character ) )
       characters.append( character );
   }
 
